%define section free

Name:           portecle
Version:        1.1
Release:        1jpp
Epoch:          0
Summary:        GUI for the command-line keytool provided with the Java SDKs

Group:          Security/Cryptography
License:        GPL
URL:            http://portecle.sourceforge.net/
Source0:        http://download.sourceforge.net/portecle/portecle-1.1-src.zip
Source2:        %{name}.desktop
Source3:        %{name}.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant
BuildRequires:  bouncycastle-provider >= 0:1.26
Requires:       jpackage-utils >= 0:1.5
Requires:       bouncycastle-provider >= 0:1.26
Obsoletes:      keytoolgui

%description
Portecle is a user friendly GUI application for creating, managing and
examining key stores, keys, certificates, certificate requests,
certificate revocation lists and more.


%prep
%setup -q -n %{name}-%{version}-src


%build
export CLASSPATH=%(build-classpath bouncycastle)
ant -Djar.classpath= jar


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 644 build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

install -D -p -m 644 src/icons/portecle.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/portecle.png
install -D -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-portecle.desktop

install -D -p -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/portecle


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.txt
%{_javadir}/portecle*.jar
%{_bindir}/portecle
%{_datadir}/applications/*portecle.desktop
%{_datadir}/pixmaps/portecle.png


%changelog
* Fri Jul  1 2005 Ville Skyttä <scop at jpackage.org> - 0:1.1-1jpp
- 1.1.

* Sat Apr 16 2005 Ville Skyttä <scop at jpackage.org> - 0:1.0-1jpp
- 1.0.

* Thu Nov  4 2004 Ville Skyttä <scop at jpackage.org> - 0:0.9-1jpp
- Update to Portecle 0.9, obsolete keytoolgui.
- Add application/x-pkcs12 association to freedesktop.org menu entry.

* Fri Aug 20 2004 Fernando Nasser <fnasser@redhat.com> - 0:1.7-2jpp
- Rebuild with Ant 1.6.2

* Tue Jan  6 2004 Ville Skyttä <scop at jpackage.org> - 0:1.7-1jpp
- Update to 1.7.

* Tue Sep 23 2003 Ville Skytta <scop at jpackage.org> - 0:1.6-1jpp
- First build.
